Matrix.Norm

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## no.uib.cipr.matrix
Enum Matrix.Norm

    java.lang.Object
      java.lang.Enum<Matrix.Norm>
          no.uib.cipr.matrix.Matrix.Norm

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Matrix.Norm>

Enclosing interface:
  Matrix

    public static enum Matrix.Norm

extends java.lang.Enum<Matrix.Norm>

Supported matrix-norms. Note that `Maxvalue` is not a proper matrix norm

Enum Constant Summary
`Frobenius` The root of sum of the sum of squares
`Infinity` Maximum column sum
`Maxvalue` Largest entry in absolute value.
`One` Maximum absolute row sum

Method Summary
`java.lang.String` | `netlib()`
`static Matrix.Norm` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Matrix.Norm[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### One

    public static final Matrix.Norm One

  Maximum absolute row sum

### Frobenius

    public static final Matrix.Norm Frobenius

  The root of sum of the sum of squares

### Infinity

    public static final Matrix.Norm Infinity

  Maximum column sum

### Maxvalue

    public static final Matrix.Norm Maxvalue

  Largest entry in absolute value. Not a proper matrix norm

Method Detail

### values

    public static final Matrix.Norm[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Matrix.Norm c : Matrix.Norm.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Matrix.Norm valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### netlib

    public java.lang.String netlib()

  Returns:
    the String as required by the netlib libraries to represent this norm.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD